#version 450 core

layout(binding = 0) uniform UniformBufferObject {
    mat4 view;
    mat4 proj;
} UBO;
layout(push_constant) uniform PushConst {
    mat4 model;
    vec4 color;
} Push;

layout(location = 0) in vec3 Position_modelspace;

layout(location = 0) out vec4 Color;

void main(){
	gl_Position = UBO.proj * UBO.view * Push.model * vec4(Position_modelspace, 1);
	Color = Push.color;
}

